Index: freebsd-to-rtems.py
===================================================================
--- freebsd-to-rtems.py	(revision 5ae0a03e80f603de293b5e27f922c848e993e96b)
+++ freebsd-to-rtems.py	(revision f574d27f8f7b3f48f5ef9a7b0da49e73e8f4b3d6)
@@ -588,5 +588,5 @@
 		self.files.append(f)
 
-	def addHeaderFiles(self, files):
+	def addKernelSpaceHeaderFiles(self, files):
 		self.files = self.addFiles(self.files, files, FreeBSDPathComposer(), FromFreeBSDToRTEMSHeaderConverter(), FromRTEMSToFreeBSDHeaderConverter(), assertHeaderFile)
 
@@ -605,4 +605,7 @@
 
 	def addSourceFiles(self, files):
+		self.files = self.addFiles(self.files, files, PathComposer(), NoConverter(), NoConverter(), assertSourceFile, SourceFileMakefileFragmentComposer())
+
+	def addKernelSpaceSourceFiles(self, files):
 		self.files = self.addFiles(self.files, files, FreeBSDPathComposer(), FromFreeBSDToRTEMSSourceConverter(), FromRTEMSToFreeBSDSourceConverter(), assertSourceFile, SourceFileMakefileFragmentComposer())
 
@@ -704,5 +707,5 @@
 
 base = Module('base')
-base.addHeaderFiles(
+base.addKernelSpaceHeaderFiles(
 	[
 		'sys/bsm/audit.h',
@@ -825,5 +828,5 @@
 	]
 )
-base.addSourceFiles(
+base.addKernelSpaceSourceFiles(
 	[
 		'sys/kern/init_main.c',
@@ -869,5 +872,5 @@
 
 devUsb = Module('dev_usb')
-devUsb.addHeaderFiles(
+devUsb.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/ufm_ioctl.h',
@@ -899,5 +902,5 @@
 	]
 )
-devUsb.addSourceFiles(
+devUsb.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/usb_busdma.c',
@@ -924,5 +927,5 @@
 
 devUsbAddOn = Module('dev_usb_add_on')
-devUsbAddOn.addHeaderFiles(
+devUsbAddOn.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/usb_pci.h',
@@ -930,5 +933,5 @@
 	]
 )
-devUsbAddOn.addSourceFiles(
+devUsbAddOn.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/usb_compat_linux.c',
@@ -938,10 +941,10 @@
 devUsbBluetooth = Module('dev_usb_bluetooth')
 devUsbBluetooth.addDependency(devUsb)
-devUsbBluetooth.addHeaderFiles(
+devUsbBluetooth.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/bluetooth/ng_ubt_var.h',
 	]
 )
-devUsbBluetooth.addSourceFiles(
+devUsbBluetooth.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/bluetooth/ng_ubt.c',
@@ -952,5 +955,5 @@
 devUsbController = Module('dev_usb_controller')
 devUsbController.addDependency(devUsb)
-devUsbController.addHeaderFiles(
+devUsbController.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/controller/ohci.h',
@@ -962,5 +965,5 @@
 	]
 )
-devUsbController.addSourceFiles(
+devUsbController.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/controller/ohci.c',
@@ -972,5 +975,5 @@
 devUsbControllerAddOn = Module('dev_usb_controller_add_on')
 devUsbControllerAddOn.addDependency(devUsb)
-devUsbControllerAddOn.addHeaderFiles(
+devUsbControllerAddOn.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/controller/at91dci.h',
@@ -980,5 +983,5 @@
 	]
 )
-devUsbControllerAddOn.addSourceFiles(
+devUsbControllerAddOn.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/controller/at91dci_atmelarm.c',
@@ -1001,10 +1004,10 @@
 devUsbInput = Module('dev_usb_input')
 devUsbInput.addDependency(devUsb)
-devUsbInput.addHeaderFiles(
+devUsbInput.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/input/usb_rdesc.h',
 	]
 )
-devUsbInput.addSourceFiles(
+devUsbInput.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/input/uhid.c',
@@ -1015,5 +1018,5 @@
 devUsbInputMouse = Module('dev_usb_mouse')
 devUsbInputMouse.addDependency(devUsb)
-devUsbInputMouse.addHeaderFiles(
+devUsbInputMouse.addKernelSpaceHeaderFiles(
 	[
 		'sys/sys/tty.h',
@@ -1026,5 +1029,5 @@
 	]
 )
-devUsbInputMouse.addSourceFiles(
+devUsbInputMouse.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/input/ums.c',
@@ -1034,10 +1037,10 @@
 devUsbMisc = Module('dev_usb_misc')
 devUsbMisc.addDependency(devUsb)
-devUsbMisc.addHeaderFiles(
+devUsbMisc.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/misc/udbp.h',
 	]
 )
-devUsbMisc.addSourceFiles(
+devUsbMisc.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/misc/udbp.c',
@@ -1048,5 +1051,5 @@
 devUsbNet = Module('dev_usb_net')
 devUsbNet.addDependency(devUsb)
-devUsbNet.addHeaderFiles(
+devUsbNet.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/mii/mii.h',
@@ -1056,5 +1059,5 @@
 	]
 )
-devUsbNet.addSourceFiles(
+devUsbNet.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/net/if_cdce.c',
@@ -1065,10 +1068,10 @@
 devUsbQuirk = Module('dev_usb_quirk')
 devUsbQuirk.addDependency(devUsb)
-devUsbQuirk.addHeaderFiles(
+devUsbQuirk.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/quirk/usb_quirk.h',
 	]
 )
-devUsbQuirk.addSourceFiles(
+devUsbQuirk.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/quirk/usb_quirk.c',
@@ -1078,5 +1081,5 @@
 devUsbSerial = Module('dev_usb_serial')
 devUsbSerial.addDependency(devUsb)
-devUsbSerial.addHeaderFiles(
+devUsbSerial.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/serial/uftdi_reg.h',
@@ -1084,5 +1087,5 @@
 	]
 )
-devUsbSerial.addSourceFiles(
+devUsbSerial.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/serial/u3g.c',
@@ -1110,5 +1113,5 @@
 devUsbStorage = Module('dev_usb_storage')
 devUsbStorage.addDependency(devUsb)
-devUsbStorage.addSourceFiles(
+devUsbStorage.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/storage/umass.c',
@@ -1118,10 +1121,10 @@
 devUsbStorageAddOn = Module('dev_usb_storage_add_on')
 devUsbStorageAddOn.addDependency(devUsb)
-devUsbStorageAddOn.addHeaderFiles(
+devUsbStorageAddOn.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/storage/rio500_usb.h',
 	]
 )
-devUsbStorageAddOn.addSourceFiles(
+devUsbStorageAddOn.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/storage/urio.c',
@@ -1132,10 +1135,10 @@
 devUsbTemplate = Module('dev_usb_template')
 devUsbTemplate.addDependency(devUsb)
-devUsbTemplate.addHeaderFiles(
+devUsbTemplate.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/template/usb_template.h',
 	]
 )
-devUsbTemplate.addSourceFiles(
+devUsbTemplate.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/template/usb_template.c',
@@ -1148,5 +1151,5 @@
 devUsbWlan = Module('dev_usb_wlan')
 devUsbWlan.addDependency(devUsb)
-devUsbWlan.addHeaderFiles(
+devUsbWlan.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/usb/wlan/if_rumfw.h',
@@ -1162,5 +1165,5 @@
 	]
 )
-devUsbWlan.addSourceFiles(
+devUsbWlan.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/usb/wlan/if_rum.c',
@@ -1173,5 +1176,5 @@
 
 cam = Module('cam')
-cam.addHeaderFiles(
+cam.addKernelSpaceHeaderFiles(
 	[
 		'sys/sys/ata.h',
@@ -1188,5 +1191,5 @@
 	]
 )
-cam.addSourceFiles(
+cam.addKernelSpaceSourceFiles(
 	[
 		'sys/cam/cam.c',
@@ -1196,5 +1199,5 @@
 
 devNet = Module('dev_net')
-devNet.addHeaderFiles(
+devNet.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/mii/mii.h',
@@ -1218,5 +1221,5 @@
 	]
 )
-devNet.addSourceFiles(
+devNet.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/mii/mii.c',
@@ -1230,5 +1233,5 @@
 
 devNic = Module('dev_nic')
-devNic.addHeaderFiles(
+devNic.addKernelSpaceHeaderFiles(
 	[
 		'sys/sys/pciio.h',
@@ -1276,5 +1279,5 @@
 	]
 )
-devNic.addSourceFiles(
+devNic.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/random/harvest.c',
@@ -1293,10 +1296,10 @@
 
 devNic_re = Module('dev_nic_re')
-devNic_re.addHeaderFiles(
+devNic_re.addKernelSpaceHeaderFiles(
 	[
 		'sys/pci/if_rlreg.h',
 	]
 )
-devNic_re.addSourceFiles(
+devNic_re.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/re/if_re.c',
@@ -1305,5 +1308,5 @@
 
 devNic_fxp = Module('dev_nic_fxp')
-devNic_fxp.addHeaderFiles(
+devNic_fxp.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/fxp/if_fxpreg.h',
@@ -1312,5 +1315,5 @@
 	]
 )
-devNic_fxp.addSourceFiles(
+devNic_fxp.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/fxp/if_fxp.c',
@@ -1319,5 +1322,5 @@
 
 devNic_e1000 = Module('dev_nic_e1000')
-devNic_e1000.addHeaderFiles(
+devNic_e1000.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/e1000/e1000_80003es2lan.h',
@@ -1344,5 +1347,5 @@
 	]
 )
-devNic_e1000.addSourceFiles(
+devNic_e1000.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/e1000/e1000_80003es2lan.c',
@@ -1370,10 +1373,10 @@
 # DEC Tulip aka Intel 21143
 devNic_dc = Module('dev_nic_dc')
-devNic_dc.addHeaderFiles(
+devNic_dc.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/dc/if_dcreg.h',
 	]
 )
-devNic_dc.addSourceFiles(
+devNic_dc.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/dc/dcphy.c',
@@ -1385,5 +1388,5 @@
 # SMC9111x
 devNic_smc = Module('dev_nic_smc')
-devNic_smc.addHeaderFiles(
+devNic_smc.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/smc/if_smcreg.h',
@@ -1391,5 +1394,5 @@
 	]
 )
-devNic_smc.addSourceFiles(
+devNic_smc.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/smc/if_smc.c',
@@ -1399,5 +1402,5 @@
 # Crystal Semiconductor CS8900
 devNic_cs = Module('dev_nic_cs')
-devNic_cs.addHeaderFiles(
+devNic_cs.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/cs/if_csreg.h',
@@ -1405,5 +1408,5 @@
 	]
 )
-devNic_cs.addSourceFiles(
+devNic_cs.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/cs/if_cs.c',
@@ -1415,5 +1418,5 @@
 # Broadcomm BCE, BFE, BGE - MII is intertwined
 devNic_broadcomm = Module('dev_nic_broadcomm')
-devNic_broadcomm.addHeaderFiles(
+devNic_broadcomm.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/bce/if_bcefw.h',
@@ -1423,5 +1426,5 @@
 	]
 )
-devNic_broadcomm.addSourceFiles(
+devNic_broadcomm.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/bce/if_bce.c',
@@ -1432,5 +1435,5 @@
 
 net = Module('net')
-net.addHeaderFiles(
+net.addKernelSpaceHeaderFiles(
 	[
 		'sys/net/bpf_buffer.h',
@@ -1482,5 +1485,5 @@
 	]
 )
-net.addSourceFiles(
+net.addKernelSpaceSourceFiles(
 	[
 		'sys/kern/sys_socket.c',
@@ -1533,5 +1536,5 @@
 
 netinet = Module('netinet')
-netinet.addHeaderFiles(
+netinet.addKernelSpaceHeaderFiles(
 	[
 		'sys/netinet/cc.h',
@@ -1612,5 +1615,5 @@
 )
 # in_cksum.c is architecture dependent
-netinet.addSourceFiles(
+netinet.addKernelSpaceSourceFiles(
 	[
 		'sys/netinet/accf_data.c',
@@ -1706,5 +1709,5 @@
 netinet6.conditionalOn = "DISABLE_IPV6"
 netinet6.cppPattern = 's/^\#define INET6 1/\/\/ \#define INET6 1/'
-netinet6.addHeaderFiles(
+netinet6.addKernelSpaceHeaderFiles(
 	[
 		'sys/netinet6/icmp6.h',
@@ -1733,5 +1736,5 @@
 	]
 )
-netinet6.addSourceFiles(
+netinet6.addKernelSpaceSourceFiles(
 	[
 		'sys/net/if_stf.c',
@@ -1767,5 +1770,5 @@
 
 netipsec = Module('netipsec')
-netipsec.addHeaderFiles(
+netipsec.addKernelSpaceHeaderFiles(
 	[
 		'sys/netipsec/ah.h',
@@ -1786,5 +1789,5 @@
 	]
 )
-netipsec.addSourceFiles(
+netipsec.addKernelSpaceSourceFiles(
 	[
 		'sys/netipsec/ipsec.c',
@@ -1804,5 +1807,5 @@
 
 net80211 = Module('net80211')
-net80211.addHeaderFiles(
+net80211.addKernelSpaceHeaderFiles(
 	[
 		'sys/net80211/ieee80211_action.h',
@@ -1837,5 +1840,5 @@
 	]
 )
-netipsec.addSourceFiles(
+netipsec.addKernelSpaceSourceFiles(
 	[
 		'sys/net80211/ieee80211_acl.c',
@@ -1881,5 +1884,5 @@
 
 opencrypto = Module('opencrypto')
-opencrypto.addHeaderFiles(
+opencrypto.addKernelSpaceHeaderFiles(
 	[
 		'sys/opencrypto/deflate.h',
@@ -1893,5 +1896,5 @@
 	]
 )
-opencrypto.addSourceFiles(
+opencrypto.addKernelSpaceSourceFiles(
 	[
 		'sys/opencrypto/crypto.c',
@@ -1907,5 +1910,5 @@
 
 crypto = Module('crypto')
-crypto.addHeaderFiles(
+crypto.addKernelSpaceHeaderFiles(
 	[
 		#'crypto/aesni/aesni.h',
@@ -1928,5 +1931,5 @@
 	]
 )
-crypto.addSourceFiles(
+crypto.addKernelSpaceSourceFiles(
 	[
 		#'crypto/aesni/aesni.c',
@@ -1953,5 +1956,5 @@
 
 altq = Module('altq')
-altq.addHeaderFiles(
+altq.addKernelSpaceHeaderFiles(
 	[
 		'sys/contrib/altq/altq/altq_rmclass.h',
@@ -1970,5 +1973,5 @@
 	]
 )
-altq.addSourceFiles(
+altq.addKernelSpaceSourceFiles(
 	[
 		'sys/contrib/altq/altq/altq_rmclass.c',
@@ -1985,5 +1988,5 @@
 # contrib/pf Module
 pf = Module('pf')
-pf.addHeaderFiles(
+pf.addKernelSpaceHeaderFiles(
 	[
 		'sys/contrib/pf/net/if_pflog.h',
@@ -1994,5 +1997,5 @@
 	]
 )
-pf.addSourceFiles(
+pf.addKernelSpaceSourceFiles(
 	[
 		'sys/contrib/pf/net/if_pflog.c',
@@ -2011,5 +2014,5 @@
 
 pci = Module('pci')
-pci.addSourceFiles(
+pci.addKernelSpaceSourceFiles(
 	[
 		'sys/dev/pci/pci.c',
@@ -2018,5 +2021,5 @@
 	]
 )
-pci.addHeaderFiles(
+pci.addKernelSpaceHeaderFiles(
 	[
 		'sys/dev/pci/pcib_private.h',
